<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/
?>
<?php
	if (!defined("IGNX")) { die("Attempt..."); }

/*
	CATALOGOS
*/

function menu_catalogos($parent,$nivel)
{
	$q = myquery("SELECT * FROM ".TD_CATALOGOS." WHERE cataID<>0 AND parent='".$parent."' ORDER BY orden ASC, nombre, nombre_1, nombre_2, nombre_3, nombre_4, nombre_5","[menu_tienda=1]");
	$nom_cat = array();
	while ($row = myfetch($q))
	{
					
		if (IDIOMA_ACTUAL == 0)
		{		
			$row["nombre"] = $row["nombre"] ;
			$row["nombre_sef"] = SEFcompleURL( $row["nombre"] );
			$row["titulo"] = salida_popups( $row["nombre"] );
			
		} else if (IDIOMA_ACTUAL == 1) {
		
			$row["nombre"] = $row["nombre_1"] ;
			$row["nombre_sef"] = SEFcompleURL( $row["nombre_1"] );
			$row["titulo"] = salida_popups( $row["nombre_1"] );
		
		} else if (IDIOMA_ACTUAL == 2) {
		
			$row["nombre"] = $row["nombre_2"] ;
			$row["nombre_sef"] = SEFcompleURL( $row["nombre_2"] );
			$row["titulo"] = salida_popups( $row["nombre_2"] );
		
		} else if (IDIOMA_ACTUAL == 3) {
		
			$row["nombre"] = $row["nombre_3"] ;
			$row["nombre_sef"] = SEFcompleURL( $row["nombre_3"] );
			$row["titulo"] = salida_popups( $row["nombre_3"] );
		
		} else if (IDIOMA_ACTUAL == 4) {
		
			$row["nombre"] = $row["nombre_4"] ;
			$row["nombre_sef"] = SEFcompleURL( $row["nombre_4"] );
			$row["titulo"] = salida_popups( $row["nombre_4"] );
		
		} else if (IDIOMA_ACTUAL == 5) {
		
			$row["nombre"] = $row["nombre_5"] ;
			$row["nombre_sef"] = SEFcompleURL( $row["nombre_5"] );
			$row["titulo"] = salida_popups( $row["nombre_5"] );
		
		}

			$row["nivel"] = $nivel;
			$nom_cat[] = $row;
			
			// subcategorias
			$nom_sub = menu_catalogos($row["cataID"],$nivel+1);
			for ($n=0; $n<count($nom_sub); $n++)
			{
				$nom_cat[] = $nom_sub[$n];
			}
	
	}
	return $nom_cat;

}

	$salida_menu_catalogos = menu_catalogos(0,0);
	
	// Smarty
	$smarty->assign("salida_menu_catalogos", $salida_menu_catalogos);

/*
	FIN CATALOGOS
*/


/*
	ETIQUETAS DE TIENDA
*/


// recoge el array
$todas_tags_nom_prd = todasTAGS_prd();

// contar las repeticiones
$todas_tags_contar_prd = array_count_values($todas_tags_nom_prd);

// ordenar por alfabetico en minusculas
$matriz_minusculas_prd = array_map('strtolower', $todas_tags_nom_prd);
array_multisort($matriz_minusculas_prd, SORT_ASC, SORT_STRING, $todas_tags_nom_prd);

// quitar las repetidas
$todas_tags_unicas_prd = array_keys(array_flip($todas_tags_nom_prd));


$todas_tags_buscar_prd = "";

// si nube de etiquetas
if (CONFIG_29 == 1)
{

	for ($c=0; $c < count($todas_tags_unicas_prd); $c++)
	{		
		if ($todas_tags_contar_prd[$todas_tags_unicas_prd[$c]] >= CONFIG_75)
		{
		
			$todas_tags_buscar_prd .= '<a href="'.RUTA_INICIO.'len'.IGUAL.IDIOMA_ACTUAL.AMPER.'bup'.IGUAL.codificar_buscador($todas_tags_unicas_prd[$c]).TPL_SUFIJO_URL.AMPER.'tip'.IGUAL.'1" class="etiquetas_menu">';
			
			if ($todas_tags_contar_prd[$todas_tags_unicas_prd[$c]] < 2)
			{
				$fuente = 2;
			
			} else if ($todas_tags_contar_prd[$todas_tags_unicas_prd[$c]] > 5) {
		
				$fuente = 5;	
						
			} else {
		
				$fuente = $todas_tags_contar_prd[$todas_tags_unicas_prd[$c]];
		
			}
			
			$todas_tags_buscar_prd .= '<font size="'.$fuente.'">'.$todas_tags_unicas_prd[$c].'</font> ';
			$todas_tags_buscar_prd .= '</a>';
		
		}
				
	}
	
} else if (CONFIG_29 == 0) {

	for ($c=0; $c < count($todas_tags_unicas_prd); $c++)
	{		
		if ($todas_tags_contar_prd[$todas_tags_unicas_prd[$c]] >= CONFIG_75)
		{
		
			$todas_tags_buscar_prd .= '<a href="'.RUTA_INICIO.'len'.IGUAL.IDIOMA_ACTUAL.AMPER.'bup'.IGUAL.codificar_buscador($todas_tags_unicas_prd[$c]).TPL_SUFIJO_URL.AMPER.'tip'.IGUAL.'1" class="etiquetas_menu">';
			$todas_tags_buscar_prd .= $todas_tags_unicas_prd[$c].'('.$todas_tags_contar_prd[$todas_tags_unicas_prd[$c]].') ';
			$todas_tags_buscar_prd .= '</a>';
		
		}
				
	}

}


$tpl_salida_todas_tags_prd = $todas_tags_buscar_prd;

	if ($tpl_salida_todas_tags_prd != "")
	{

		// Smarty
		$smarty->assign("salida_menu_tags_prd", $tpl_salida_todas_tags_prd);
	
	}
		
		
/*
	FIN ETIQUETAS DE TIENDA
*/

/*
	CARRO
*/

	$k=0;
	$cnt = 0;
	if (isset($_SESSION["gids"]))
	{
		for ($i=0; $i<count($_SESSION["gids"]); $i++)
		  if ($_SESSION["gids"][$i])
		  {
			$t = myquery("SELECT * FROM ".ITEMS." WHERE item_tipo=3 AND itemID='".$_SESSION["gids"][$i]."'","[menu_tienda=2]");
			$r = myfetch($t);
			// total del carro
			if ($r["td_descuento"] > 0 && $r["td_descuento"] < $r["td_precio"])
			{
				$k += $_SESSION["counts"][$i]*($r["td_descuento"]+$r["td_gastos"]);
			} else {
				$k += $_SESSION["counts"][$i]*($r["td_precio"]+$r["td_gastos"]);
			}
			//$k += $_SESSION["counts"][$i]*$r["td_precio"];
			$cnt += $_SESSION["counts"][$i];
		  }
	}

	$smarty->assign("shopping_cart_value", $k);
	$smarty->assign("shopping_cart_value_shown", mostrar_pvp($k));
	$smarty->assign("shopping_cart_items", $cnt);


/*
	FIN CARRO
*/

?>